if($DamageType::DeathPaint $= "")
	AddDamageType("DeathPaint", '%1 was sprayed to death!', '%2 sprayed %1 to death!', 1, 1);
if($Pref::Server::DeathPaintEnergyDrain $= "")
	$Pref::Server::DeathPaintEnergyDrain = 0;

datablock ParticleData(DeathPaintDropletParticle : Color0PaintDropletParticle)
{
	colors[0] = "0.200000 0.000000 0.800000 0.466667";
	colors[1] = "0.200000 0.000000 0.800000 0.000000";
};

datablock ParticleData(DeathPaintExplosionParticle : Color0PaintExplosionParticle)
{
	colors[0] = "0.200000 0.000000 0.800000 0.466667";
	colors[1] = "0.200000 0.000000 0.800000 0.000000";
};

datablock ParticleEmitterData(DeathPaintDropletEmitter : Color0PaintDropletEmitter)
{
	particles = DeathPaintDropletParticle;
};

datablock ParticleEmitterData(DeathPaintExplosionEmitter : Color0PaintExplosionEmitter)
{
	particles = DeathPaintExplosionParticle;
};

datablock ExplosionData(DeathPaintExplosion : Color0PaintExplosion)
{
	emitter[0] = DeathPaintExplosionEmitter;
	emitter[1] = DeathPaintDropletEmitter;
};

datablock ProjectileData(DeathPaintProjectile : Color0PaintProjectile)
{
	damageType = $DamageType::DeathPaint;
	directDamage = 20;
	explosion = DeathPaintExplosion;
};

datablock ItemData(DeathPaintItem)
{
	colorShiftColor = "0.196850 0.000000 0.795276 1.000000";
	doColorShift = 1;
	image = DeathPaintImage;
	shapeFile = "base/data/shapes/spraycan.dts";
	uiName = "Death Paint";
};

datablock ShapeBaseImageData(DeathPaintImage : Color0SprayCanImage)
{
	colorShiftColor = "0.196850 0.000000 0.795276 1.000000";
	item = DeathPaintItem;
	projectile = DeathPaintProjectile;
};

function DeathPaintImage::onFire(%img, %obj)
{
	Parent::onFire(%img, %obj);
	if(%obj.getDatablock().showEnergyBar)
	{
		%energy = %obj.getEnergyLevel();
		%obj.setEnergyLevel(%energy - 0.4);
		if(%obj.getEnergyLevel() == 0)
			%obj.damage(%obj, %obj.getPosition(), 10000, $Damage::DeathPaint);
	}
}

function DeathPaintProjectile::onCollision(%data, %proj, %hit, %fade, %pos, %normal)
{
	%damageMask = $Typemasks::PlayerObjectType | $Typemasks::VehicleObjectType;
	if((%hit.getType() & %damageMask) && minigameCanDamage(%proj.client, %hit))
	{
		if($Pref::Server::DeathPaintEnergyDrain && %hit.getType() & $Typemasks::PlayerObjectType)
		{
			if(isObject(%pl = %proj.client.player))
				%pl.setEnergyLevel(%pl.getEnergyLevel() + 5);
			%hit.setEnergyLevel(%hit.getEnergyLevel() - 5);
			if(%hit.getEnergyLevel() <= 0)
				%hit.damage(%proj, %pos, 10000, $Damage::DeathPaint);
		}
		else %hit.damage(%proj, %pos, 20, $DamageType::DeathPaint);
	}
}